@echo off
cls

rem dxpio.exe  is DxP I/O Control Utility v1.03.009
rem Utilizes DxP Protocol v1.40
rem
rem dxpio.exe is application (33KB)
rem Requires DxP.dll (35KB)
rem
rem Command Line Arguments:
rem 
rem   -a<ipaddress> - required - xxx.xxx.xxx.xxx
rem   -n<ipport>    - optional - default is 9100
rem   -u<user>      - required on supported devices
rem   -p<password>  - required on supported devices
rem   -c<0-8>       - optional - default is 1, 0 to query all
rem   -s<status>    - required (unless query) - 0 or 1
rem   -t<time>      - optional - cycle time 01 - 99 sec.
rem   -q<i|o>       - query (i)nput or (o)utput channel -c
rem   -v            - version information
rem   -h            - Help. Displays this parameter list
rem
rem
rem Replace the ipaddress 192.168.1.254 below with your appropriate ipaddress
rem    one line will user the user name and user password
rem    to query all inputs
rem    and the second line to query all outputs



dxpio.exe -a192.168.1.254 -c0 -uuser -puser -qi
dxpio.exe -a192.168.1.254 -c0 -uuser -puser -qo

pause
